# Submit Order **POST /order/{orderNumber}** Submit an order to Komfortkasse after the order has been placed in your online shop. Only submit orders that are relevant to Komfortkasse, so don't send orders that will be paid by PayPal or creditcard. (You might submit orders with these payment methods as order type `OTHER` if you know what you are doing.) Re-submitting an order with the same `orderNumber` updates the existing order — for example, if the customer's email address or the order amount changed in your shop. The `initialDunningLevel` field is honoured **only on the first submission** of an order; on subsequent updates it must be omitted or `0`. ## Servers - Production: https://ssl.komfortkasse.eu/api/v2 (Production) ## Authentication methods - Api key ## Parameters ### Path parameters - **orderNumber** (string) Order number (unique per shop). ### Query parameters - **includePostings** (boolean) Set to true to include the list of Postings in the response. - **includeCollectionHistory** (boolean) Set to true to include the list of collection events in the response. - **includePaymentReminders** (boolean) Set to true to include the list of payment reminders in the response. - **includeRefunds** (boolean) Set to true to include the list of refunds in the response. ### Body: application/json (object) - **date** (string) Order date, the date the customer placed the order. Format: `dd-MM-yyyy`. - **dueDate** (string) Date on which the amount is due to pay (e.g., shipping date for INVOICE orders). Format: `dd-MM-yyyy`. - **customerEmail** (string) Email address of customer. Optional, but obviously needed if you want Komfortkasse to send payment information or reminders. - **customerNumber** (string) Customer number (if the customer has a classic customer number plus a username from a marketplace such as eBay, concat these numbers/usernames with a '/'). - **type** (string) Order payment type: - `INVOICE` — invoice (German: Rechnung) - `PREPAYMENT` — prepayment (German: Vorkasse) - `COD` — cash on delivery (German: Nachnahme) - `OTHER` — other payment type (will not be managed by Komfortkasse) — normally not needed - **marketplaceNumber** (string) Additional order number from a 3rd party marketplace e.g. ebay. - **paymentMethod** (string) Technical string or id of the payment method in your shop. For information only. - **paymentMethodDescription** (string) Readable description or name of your payment method. For information only. - **statusDescription** (string) String or id representing the order status in your shop. For information only. - **amount** (number) Total order amount including all taxes, shipping, etc. This is the amount you expect to be paid. Format: `0.00`. - **currency** (string) Currency of the order (ISO 4217). - **exchangeRate** (number) Exchange rate, only needed if the order is in a currency where you don't have a Komfortkasse account. - **language** (string) Customer's order language (ISO format). Komfortkasse will send out emails to your customer in this language (if supported). - **itemNumbers** (array[string]) DEPRECATED, use `items`. - **items** (array[object]) List of item numbers and names. Item numbers will be used for payment matching. - **invoiceNumbers** (array[string]) List of invoice numbers. Will be used for payment matching. - **shippingNumbers** (array[string]) List of shipping (tracking) numbers. Will be used for payment matching. Highly recommended if using Komfortkasse for COD. - **proformaNumbers** (array[string]) List of proforma invoice numbers. Will be used for payment matching. Can also be used for other informational numbers like proposal numbers, confirmation numbers, etc. - **billing** (object) Billing (invoice) address (primary address). - **shipping** (object) Shipping address (secondary address). Optional if same as billing address. - **initialDunningLevel** (integer) Initial dunning level when creating an order (can only be used when creating a new order). - **stopReminder** (boolean) True if no automatic payment reminders should be sent for this order. ## Responses ### 200 Order successfully submitted. #### Body: application/json (object) - **date** (string) Order date, the date the customer placed the order. Format: `dd-MM-yyyy`. - **dueDate** (string) Date on which the amount is due to pay (e.g., shipping date for INVOICE orders). Format: `dd-MM-yyyy`. - **customerEmail** (string) Email address of customer. Optional, but obviously needed if you want Komfortkasse to send payment information or reminders. - **customerNumber** (string) Customer number (if the customer has a classic customer number plus a username from a marketplace such as eBay, concat these numbers/usernames with a '/'). - **type** (string) Order payment type: - `INVOICE` — invoice (German: Rechnung) - `PREPAYMENT` — prepayment (German: Vorkasse) - `COD` — cash on delivery (German: Nachnahme) - `OTHER` — other payment type (will not be managed by Komfortkasse) — normally not needed - **marketplaceNumber** (string) Additional order number from a 3rd party marketplace e.g. ebay. - **paymentMethod** (string) Technical string or id of the payment method in your shop. For information only. - **paymentMethodDescription** (string) Readable description or name of your payment method. For information only. - **statusDescription** (string) String or id representing the order status in your shop. For information only. - **amount** (number) Total order amount including all taxes, shipping, etc. This is the amount you expect to be paid. Format: `0.00`. - **currency** (string) Currency of the order (ISO 4217). - **exchangeRate** (number) Exchange rate, only needed if the order is in a currency where you don't have a Komfortkasse account. - **language** (string) Customer's order language (ISO format). Komfortkasse will send out emails to your customer in this language (if supported). - **itemNumbers** (array[string]) DEPRECATED, use `items`. - **items** (array[object]) List of item numbers and names. Item numbers will be used for payment matching. - **invoiceNumbers** (array[string]) List of invoice numbers. Will be used for payment matching. - **shippingNumbers** (array[string]) List of shipping (tracking) numbers. Will be used for payment matching. Highly recommended if using Komfortkasse for COD. - **proformaNumbers** (array[string]) List of proforma invoice numbers. Will be used for payment matching. Can also be used for other informational numbers like proposal numbers, confirmation numbers, etc. - **billing** (object) Billing (invoice) address (primary address). - **shipping** (object) Shipping address (secondary address). Optional if same as billing address. - **initialDunningLevel** (integer) Initial dunning level when creating an order (can only be used when creating a new order). - **stopReminder** (boolean) True if no automatic payment reminders should be sent for this order. - **number** (string) Order number, must be unique per shop. - **paymentStatus** (string) Payment status. Read-only. - **referenceNumber** (string) Reference number used as payment reference (only available when payment information is sent by Komfortkasse). Read-only. - **bankAccount** (object) Bank account which should be used for payment. Read-only. - **dunningLevel** (integer) Dunning level or number of payment reminders sent (0 when no payment reminder has been sent). Read-only. - **amountPaid** (number) Amount that has been paid (only set when paymentStatus is not `UNPAID`) — this is the total amount paid, i.e. the sum of all postings minus the sum of all refunds. Read-only. Format: `0.00`. - **postings** (array[object]) List of Postings assigned to this order (only if parameter `includePostings` is given). Read-only. - **collectionPartner** (string) Name of the collection agency (only if collection is active). Read-only. - **collectionFile** (string) File number at the collection agency (only if collection is active). Read-only. - **collectionStatus** (string) Status of the collection (only if collection is active). Read-only. - **collectionHistory** (array[object]) List of collection events (only if collection is active and parameter `includeCollectionHistory` is given). Read-only. - **paymentReminders** (array[object]) List of payment reminders (only if parameter `includePaymentReminders` is given). Read-only. - **refunds** (array[object]) List of refunds (only if parameter `includeRefunds` is given). Read-only. - **hasBankDetailsForRefund** (boolean) True if bank details for a refund are available (only set when parameter `includePostings` is given). Read-only. ### 400 Invalid request — for example missing required fields or wrong format. #### Body: application/json (object) - **error** (string) Error message. ### 401 Authentication failed — API key missing or invalid. #### Body: application/json (object) - **error** (string) Error message. ### 404 Resource not found (e.g. unknown order number). #### Body: application/json (object) - **error** (string) Error message. [Powered by Bump.sh](https://bump.sh)